summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2015-12-11 17:26:44 -0500
committerMike Gilbert <floppym@gentoo.org>2015-12-11 17:26:44 -0500
commitd296b5daa59eae73fa3cb0995547d0336697fedd (patch)
tree0ccc2a7ecc0c8e67b1520430c2bc51bab3414e23 /eclass/python-any-r1.eclass
parentwww-client/google-chrome-beta: automated update (diff)
downloadgentoo-d296b5daa59eae73fa3cb0995547d0336697fedd.tar.gz
gentoo-d296b5daa59eae73fa3cb0995547d0336697fedd.tar.bz2
gentoo-d296b5daa59eae73fa3cb0995547d0336697fedd.zip
Revert "python*-r1.eclass: Replace non-portable use of 'declare -g'"
This reverts commit 44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9. This was triggering "No supported implementation in PYTHON_COMPAT.".
Diffstat (limited to 'eclass/python-any-r1.eclass')
-rw-r--r--eclass/python-any-r1.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/python-any-r1.eclass b/eclass/python-any-r1.eclass
index 846c0da95898..82ead76edf18 100644
--- a/eclass/python-any-r1.eclass
+++ b/eclass/python-any-r1.eclass
@@ -133,7 +133,7 @@ _python_any_set_globals() {
PYTHON_DEPS="${PYTHON_PKG_DEP} ${PYTHON_DEPS}"
done
- readonly PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
+ declare -g -r PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
}
_python_any_set_globals
unset -f _python_any_set_globals